Disable receiving domain
curl --request POST \
--url https://api.moonemail.co/domains/{id}/receiving/disable \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/domains/{id}/receiving/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/domains/{id}/receiving/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"domain_id": "<string>",
"name": "<string>",
"status": "pending",
"verified_until": 123,
"created_at": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Receiving domains
Disable receiving domain
Disable all incoming mail on this subdomain. Does not change DNS or delete stored messages.
Required permission: domains:write.
POST
/
domains
/
{id}
/
receiving
/
disable
Disable receiving domain
curl --request POST \
--url https://api.moonemail.co/domains/{id}/receiving/disable \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/domains/{id}/receiving/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/domains/{id}/receiving/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"domain_id": "<string>",
"name": "<string>",
"status": "pending",
"verified_until": 123,
"created_at": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Path Parameters
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$